#!/bin/bash

# (c) vbabin-at-ncsu-dot-edu 2010

if test -z "$AMBERHOME"; then
    AMBERHOME=/opt/amber11
fi

PATH="$AMBERHOME/exe:$PATH"

export PATH
export AMBERHOME

usage() {
    echo "### need prmtop and mdcrd file(s) ###"
    exit 1
}

if test -z $1; then
    usage
fi

if test -z $2; then
    usage
fi

if test ! -d dihedrals; then
    echo "<> running 'mkdir dihedrals'"
    mkdir dihedrals
fi

PARMTOP="$1"
shift

while test ! -z "$1" ; do
  TRAJIN=`echo -e "$TRAJIN\n trajin "$1""`; shift
done

echo "
$TRAJIN
dihedral omega1 :1@CH3 :1@C :2@N :2@CA out dihedrals/o1
dihedral omega2 :2@CA :2@C :3@N :3@CA  out dihedrals/o2
dihedral omega3 :3@CA :3@C :4@N :4@CA  out dihedrals/o3
dihedral omega4 :4@CA :4@C :5@N :5@CA  out dihedrals/o4
dihedral omega5 :5@CA :5@C :6@N :6@CA  out dihedrals/o5
go" | ptraj "$PARMTOP"
